{ pkgs, ... }: {
  hardware.bluetooth = {
    enable = true; # enables support for Bluetooth
    package = pkgs.bluez-experimental;
    powerOnBoot = true; # powers up the default Bluetooth controller on boot
    settings = {
      LE = {
        MinConnectionInterval = 16;
        MaxConnectionInterval = 16;
        ConnectionLatency = 10;
        ConnectionSupervisionTimeout = 100;
      };

      General = {
        Enable = "Source,Sink,Media,Socket";
        Privacy = "device";
        JustWorksRepairing = "always";
        Class = "0x000100";
        Experimental = true;
        FastConnectable = true;
      };

      Policy = {
        AutoEnable = true;
      };
    };  
  };
}

